Bug 1118573 - [RFE][horizon]: Add support for trove instance metadata
Summary: [RFE][horizon]: Add support for trove instance metadata
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:08 UTC by RHOS Integration
Modified: 2016-04-05 20:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:49:29 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:08:54 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/trove-metadata-support.

Description:

There is a new Trove feature currently in development that will allow the user to attach arbitrary metadata to a trove instance. See https://blueprints.launchpad.net/trove/+spec/trove-metadata

This blueprint is to add support for trove metadata to the horizon dashboard. 

In particular we will add:

1. View metadata associated with an instance on the Instance Details page.
2. Add a new key / value pair of metadata to a trove instance
3. Edit the values for trove metadata
4. Delete metadata key / value pairs from a trove instance



Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.